Moderate User
Moderate a user, e.g. unmute them or show their avatar.
Please see the Player Moderation docs on what playerModerations are, and how they differ from staff moderations.
Authorization
authCookie Auth Token via Cookie
In: cookie
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://api.vrchat.cloud/api/1/auth/user/playermoderations" \ -H "Content-Type: application/json" \ -d '{ "moderated": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469", "type": "unmute" }'{
"created": "2019-08-24T14:15:22Z",
"id": "pmod_25551a8d-6f5d-430a-88d3-9c0ce08b5244",
"sourceDisplayName": "string",
"sourceUserId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"targetDisplayName": "string",
"targetUserId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"type": "unmute"
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}Search Player Moderations GET
Returns a list of all player moderations made by **you**. This endpoint does not have pagination, and will return *all* results. Use query parameters to limit your query if needed.
Unmoderate User PUT
Removes a player moderation previously added through `moderateUser`. E.g if you previously have shown their avatar, but now want to reset it to default.